# ukncbtl-utils
UKNCBTL emulator utilities.

Windows build: [![Build status](https://ci.appveyor.com/api/projects/status/y2mk1kliaxb8n71c?svg=true)](https://ci.appveyor.com/project/nzeemin/ukncbtl-utils)
Linux/Mac: [![Build Status](https://travis-ci.org/nzeemin/ukncbtl-utils.svg?branch=master)](https://travis-ci.org/nzeemin/ukncbtl-utils)
[![CodeFactor](https://www.codefactor.io/repository/github/nzeemin/ukncbtl-utils/badge)](https://www.codefactor.io/repository/github/nzeemin/ukncbtl-utils)

Utilites:
* [rt11dsk](https://github.com/nzeemin/ukncbtl-utils/wiki/rt11dsk) — RT-11 disk image utility.
* [sav2wav](https://github.com/nzeemin/ukncbtl-utils/wiki/sav2wav) — converts RT-11 SAV files to WAV sound files.
* [Sav2Cart](https://github.com/nzeemin/ukncbtl-utils/wiki/Sav2Cart) — converts RT-11 SAV files into UKNCBTL cartridge images.
* [SavDisasm](https://github.com/nzeemin/ukncbtl-utils/wiki/SavDisasm) — SAV files disassembler.
* [Sav2BkBin](https://github.com/nzeemin/ukncbtl-utils/wiki/Sav2BkBin) — converts RT-11 SAV files into BK-0010 BIN file format
* [UkncComSender](https://github.com/nzeemin/ukncbtl-utils/wiki/UkncComSender) — (experimental) sends RT-11 SAV files to UKNC using serial port.

> **NOTE:**<br/>
> [ESCParser](https://github.com/nzeemin/ukncbtl-utils/wiki/ESCParser) — ESC/P parser/interpreter with PostScript/SVG/PDF output — moved to it's own repository: [nzeemin/escparser](https://github.com/nzeemin/escparser)


-----
The UKNCBTL project consists of:
* [ukncbtl](https://github.com/nzeemin/ukncbtl/) written for Win32 and works under Windows 2000/2003/2008/XP/Vista/7/8/10.
* [ukncbtl-renders](https://github.com/nzeemin/ukncbtl-renders/) — renderers for UKNCBTL Win32.
* [ukncbtl-qt](https://github.com/nzeemin/ukncbtl-qt/) is based on Qt framework and works under Windows, Linux and Mac OS X.
* [ukncbtl-testbench](https://github.com/nzeemin/ukncbtl-testbench/) — test bench for regression and performance testing.
* [ukncbtl-utils](https://github.com/nzeemin/ukncbtl-utils/) — various utilities: rt11dsk, sav2wav, ESCParser etc.
* [ukncbtl-doc](https://github.com/nzeemin/ukncbtl-doc/) — documentation and screenshots.
* Project wiki: https://github.com/nzeemin/ukncbtl-doc/wiki
  * Screenshots: https://github.com/nzeemin/ukncbtl-doc/wiki/Screenshots-ru
  * User's Manual (in Russian): https://github.com/nzeemin/ukncbtl-doc/wiki/Users-Manual-ru
